/* By Sofiya */

/* light-theme.css */
/* @import url(' '); */

@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css');
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap");
@import url('https://fonts.googleapis.com/css?family=Philosopher:400,700&display=swap&subset=cyrillic-ext');
@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');
/* font-family: "Fira Sans", sans-serif;  default */
/* font-family: 'Philosopher', sans-serif; */
/* font-family: 'Recursive', serif; */
@font-heading: "Jost", sans-serif;
@font-serif: "IBM Plex Serif", serif;
@font-sans: "Inter", sans-serif;
@font-monospace: "IBM Plex Mono", monospace;

:root {
  --catppuccin-latte-rosewater: #dc8a78;
  --catppuccin-latte-flamingo: #dd7878;
  --catppuccin-latte-pink: #ea76cb;
  --catppuccin-latte-mauve: #8839ef;
  --catppuccin-latte-red: #d20f39;
  --catppuccin-latte-maroon: #e64553;
  --catppuccin-latte-peach: #fe640b;
  --catppuccin-latte-yellow: #df8e1d;
  --catppuccin-latte-green: #40a02b;
  --catppuccin-latte-teal: #179299;
  --catppuccin-latte-sky: #04a5e5;
  --catppuccin-latte-sapphire: #209fb5;
  --catppuccin-latte-blue: #1e66f5;
  --catppuccin-latte-lavender: #7287fd;
  --catppuccin-latte-text: #4c4f69;
  --catppuccin-latte-subtext1: #cad3f5;
  --catppuccin-latte-subtext0: #6c6f85;
  --catppuccin-latte-overlay2: #7c7f93;
  --catppuccin-latte-overlay1: #8c8fa1;
  --catppuccin-latte-overlay0: #9ca0b0;
  --catppuccin-latte-surface2: #acb0be;
  --catppuccin-latte-surface1: #bcc0cc;
  --catppuccin-latte-surface0: #ccd0da;
  --catppuccin-latte-base: #eff1f5;
  --catppuccin-latte-mantle: #e6e9ef;
  --catppuccin-latte-crust: #dce0e8;
    
/*  --catppuccin-macchiato-rosewater: #f4dbd6;
  --catppuccin-macchiato-flamingo: #f0c6c6;
  --catppuccin-macchiato-pink: #f5bde6;
  --catppuccin-macchiato-mauve: #c6a0f6;
  --catppuccin-macchiato-red: #ed8796;
  --catppuccin-macchiato-maroon: #ee99a0;
  --catppuccin-macchiato-peach: #f5a97f;
  --catppuccin-macchiato-yellow: #eed49f;
  --catppuccin-macchiato-green: #a6da95;
  --catppuccin-macchiato-teal: #8bd5ca;
  --catppuccin-macchiato-sky: #91d7e3;
  --catppuccin-macchiato-sapphire: #7dc4e4;
  --catppuccin-macchiato-blue: #8aadf4;
  --catppuccin-macchiato-lavender: #b7bdf8;
  --catppuccin-macchiato-text: #cad3f5;
  --catppuccin-macchiato-subtext1: #6e738d;
  --catppuccin-macchiato-subtext0: #a5adcb;
  --catppuccin-macchiato-overlay2: #939ab7;
  --catppuccin-macchiato-overlay1: #8087a2;
  --catppuccin-macchiato-overlay0: #6e738d;
  --catppuccin-macchiato-surface2: #5b6078;
  --catppuccin-macchiato-surface1: #494d64;
  --catppuccin-macchiato-surface0: #363a4f;
  --catppuccin-macchiato-base: #24273a;
  --catppuccin-macchiato-mantle: #1e2030;
  --catppuccin-macchiato-crust: #181926; */

  --theme: var(--catppuccin-latte-base);
  --base-color: #4c4f69;
  --code-background-color: #4c4f69;
  --border-color: #4c4f69;
  --overlay-color: #4c4f69;
  --sidebar-background-color: #e6e9ef;
  --background-color: #e6e9ef;
  --text-color: #4c4f69;
  --accent-color: #dc8a78;  
}

.list {
  background: var(--theme);
}

.light {
  --theme: var(--catppuccin-latte-base);
}

.light.list {
  background: var(--theme);
}

@media (prefers-color-scheme: light) {
    :root {
    --catppuccin-latte-rosewater: #dc8a78;
    --catppuccin-latte-flamingo: #dd7878;
    --catppuccin-latte-pink: #ea76cb;
    --catppuccin-latte-mauve: #8839ef;
    --catppuccin-latte-red: #d20f39;
    --catppuccin-latte-maroon: #e64553;
    --catppuccin-latte-peach: #fe640b;
    --catppuccin-latte-yellow: #df8e1d;
    --catppuccin-latte-green: #40a02b;
    --catppuccin-latte-teal: #179299;
    --catppuccin-latte-sky: #04a5e5;
    --catppuccin-latte-sapphire: #209fb5;
    --catppuccin-latte-blue: #1e66f5;
    --catppuccin-latte-lavender: #7287fd;
    --catppuccin-latte-text: #4c4f69;
    --catppuccin-latte-subtext1: #cad3f5;
    --catppuccin-latte-subtext0: #6c6f85;
    --catppuccin-latte-overlay2: #7c7f93;
    --catppuccin-latte-overlay1: #8c8fa1;
    --catppuccin-latte-overlay0: #9ca0b0;
    --catppuccin-latte-surface2: #acb0be;
    --catppuccin-latte-surface1: #bcc0cc;
    --catppuccin-latte-surface0: #ccd0da;
    --catppuccin-latte-base: #eff1f5;
    --catppuccin-latte-mantle: #e6e9ef;
    --catppuccin-latte-crust: #dce0e8;
      
    --base-color: #4c4f69;
    --code-background-color: #4c4f69;
    --border-color: #4c4f69;
    --overlay-color: #4c4f69;
    --sidebar-background-color: #e6e9ef;
    --background-color: #e6e9ef;
    --text-color: #4c4f69;
    --accent-color: #dc8a78;
    }
  }

body {
    background: var(--background-color) !important;
    color: var(--text-color) !important;
}

a {
   /* color: #4c4f69 !important; */
    align-items: normal !important;
} 

a:hover, a:focus {
    color: var(--accent-color) !important;
}

/* Colors */
.sidebar .menu {
    font-family: "Jost", sans-serif;
    font-size: 32px;
}

/* цвет текста в баре */
.sidebar li a {
    color: #4c4f69;
}

.sidebar .contact-list {
    font-size: 24px;
}

/* цвет текста в баре соц-сети */
.sidebar .contact-list a {
    color: #4c4f69;
    text-decoration: none;
}

.sidebar-toggle-wrapper {
    background-color: #e6e9ef;
}

/* часть сидебара с кнопками */
.wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: #e6e9ef !important;
    color: #4c4f69;
}

/* линия бара */
* {
    scrollbar-color: #738295 rgb(242, 242, 242) !important;
}

/* надписи */
/* p {
    background-color: #00000000 !important;
    display: block;
} */

.fa-solid {
    font-weight: 900;
    color: #4c4f69;
}

/* кнопка переключения тем */
.btn-toggle {
    background-color: transparent;
    color: #11111b;
    height: auto;
    display: block;
    padding: 1px 8px 1px 8px;
    border: 1px solid #4c4f69;
    border-radius: 50px;
    margin-right: 10px;
}
.btn-toggle:hover {
   color: #04a5e5;
   transition: 0.5s; 
}

.btn {
    display: inline-block;
    padding: 2px 10px 2px 10px;
    border: 1px solid #a6adc8;
    border-radius: 8px;
    background-color: #18182505 !important;
    color: #4c4f69 !important;
    font-weight: 500;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
}

.btn:hover {
    background-color: #04a5e5 !important;
    color: #181825 !important;
    transition: 0.5s;
}

.btn:focus {
    background-color: #04a5e5 !important;
    transition: 0.7s;
}

.site-title {
    display: flex;
    line-height: normal !important;
}

.sub-title {
    color: #8838ef !important;
    font-size: 12px;
    font-weight: normal;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Inter", sans-serif !important;
}

.entry-content h1, .entry-content h2, .entry-content h3, .entry-content h4, .entry-content h5, .entry-content h6 {
    color: #4c4f69 !important;
}

html {
  font-family: "Inter", sans-serif !important;  
}

kbd {
    display: inline-block !important;
    margin: 0 0.125em !important;
    padding: 0.125em 0.5em !important;
    border: 1px solid #6e768166 !important;
    border-radius: 6px !important;
    color: #4c4f69 !important;
    background-color: #e6e9ef !important;
    text-shadow: 0 0px 0 #4c4f69 !important;
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.25), inset 0 -1px 0 #6e768166 !important;
}

 code, pre {
    font-size: 1em;
   /* color: #4c4f69 !important; */
    background-color: #1f20301f !important; /* #2f394417 */
}

.navicon-button {
  min-height: 35px !important;
  line-height: 0.90em !important;  
}

/* .icon--github {
    fill: var(--base-color) !important;
}

.icon--email {
    fill: var(--base-color) !important;
}

.icon--twitter {
    fill: var(--base-color) !important;
}

.icon--youtube {
    fill: var(--base-color) !important;
}    

.icon--rss {
    fill: var(--base-color) !important;
} */

th, td, tr {
    border: 1px solid #bcc0cc !important;
}

div.highlighter-rouge,
figure.highlight {
  position: relative !important;
  margin-bottom: 1em !important;
  background: #1e2030 !important; /* #263238 */
  color: #bac2de !important;
  font-family: Menlo, Consolas, Monaco, "Courier New", Courier, monospace !important;
  line-height: 1.8 !important;
 /* border-radius: 6px !important; */
 /* border: 1px solid #dce0e8 !important; */  

  > pre,
  pre.highlight {
    margin: 0 !important;
    padding: 1em;
  }
}
.highlight pre {
    width: 100% !important; 
}
pre {
    padding: 8px !important;
    word-break: break-all !important;
    word-wrap: break-word !important;
    /* color: #4c4f69; */
    /* background-color: #181825; */
}

header {
    display: block;
    background-color: #e6e9ef;
}

/* @media screen and (min-width: 1280px) {
    .intro-title {
        font-size: 70px !important;
    }
} */

.intro-title {
    margin-bottom: 1rem;
    color: #4c4f69 !important;
    line-height: 1;
}

.entry:not(:last-child) {
    border-bottom: 1px solid #4c4f69 !important;
}

.taxonomy-section:not(:last-child) {
    border-bottom: solid 1px #4c4f69 !important;
}

.back-to-top {
    display: block;
    color: #4c4f69 !important;
    font-size: 0.75em;
    text-transform: uppercase;
    text-align: right;
    text-decoration: none;
}

.taxonomy-index a {
    border-bottom: 1px solid #797b8f !important;
}

.taxonomy-count {
    color: #797b8f !important;
}

.site-footer {
    margin-top: 4rem;
    color: #4c4f69 !important;
    font-size: 80% !important;
}

.footer-main {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    left: 12.4%;
    margin-top: -76px;
    position: absolute;
}

/* setting background image in footer */
#footer {
   /* border-top: 1px solid #4a4d68; */
    padding: 100px 0px 15px;
    background-size: 100% 100% !important;
    background: url(/assets/footer/footer_transparent_light.png) no-repeat;
    background-color: #dce0e8;
}

@media screen and (min-width: 1280px) {
    .search-content .search-input {
        padding-left: 15px !important;
        width: 400px;
        height: 50px;
        margin: 0;
        color: #4c4f69;
        line-height: 50px;
        background-color: #dce0e8 !important;
        border: 1px solid #797b8f !important;
        border-radius: 30px;
    }
}

::selection {
    background: #c6a0f6 !important;
    color: black !important;
    text-shadow: none;
}

/* всплывающая подсказка */
[title-tooltip] {
  position: relative;
  cursor: pointer;
  width: max-content;
}

[title-tooltip]:hover::after,
[title-tooltip]:hover::before {
  opacity: 1;
  visibility: visible;
}

[title-tooltip]::after,
[title-tooltip]::before {
  position: absolute;
  left: 50%;
  display: block;
  opacity: 0;
  visibility: hidden;
  transition: .5s;
  transform: translateX(-50%);
}

[title-tooltip]::after {
  bottom: -50px;
  content: attr(title-tooltip);
  padding: 8px;
  border-radius: 6px;
  background: rgb(4, 165, 229, 0.7);
  color: #161625;   
  text-align: center;
  width: max-content;
  font-size: 12px;
  font-weight: 400;  
}

[title-tooltip]::before {
  bottom: -20px;
  content: '';
  border: 6px solid transparent;
  border-bottom: 6px solid rgb(4, 165, 229, 0.7);
}

/* .basil--moon-solid {
  display: block;
  width: 21px;
  height: 21px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23000' d='M12 3.5a8.5 8.5 0 1 0 8.46 9.32a.5.5 0 0 0-.812-.435a5 5 0 1 1-6.137-7.893a.5.5 0 0 0-.225-.895A8.6 8.6 0 0 0 12 3.5'/%3E%3C/svg%3E");
} */

.ri--moon-clear-line {
  display: block;
  content: ""; 
  width: 21px;
  height: 21px;
  /* --svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath fill='%23000' d='M10 6a8 8 0 0 0 11.955 6.956C21.474 18.03 17.2 22 12 22C6.477 22 2 17.523 2 12c0-5.2 3.97-9.474 9.044-9.955A7.96 7.96 0 0 0 10 6m-6 6a8 8 0 0 0 8 8a8 8 0 0 0 6.957-4.045Q18.482 16 18 16C12.477 16 8 11.523 8 6q0-.481.045-.957A8 8 0 0 0 4 12m14.164-9.709L19 2.5v1l-.836.209a2 2 0 0 0-1.455 1.455L16.5 6h-1l-.209-.836a2 2 0 0 0-1.455-1.455L13 3.5v-1l.836-.209A2 2 0 0 0 15.29.836L15.5 0h1l.209.836a2 2 0 0 0 1.455 1.455m5 5L24 7.5v1l-.836.209a2 2 0 0 0-1.455 1.455L21.5 11h-1l-.209-.836a2 2 0 0 0-1.455-1.455L18 8.5v-1l.836-.209a2 2 0 0 0 1.455-1.455L20.5 5h1l.209.836a2 2 0 0 0 1.455 1.455'/%3E%3C/svg%3E"); */
  --svg: url("/assets/images/moon-alt-loop.svg");
  background-color: currentColor;
  background-position: center;
  mask-image: var(--svg);
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
}

input, textarea {
  margin: 0.2em !important;
  font-family: "Jost", sans-serif !important;
  display: block !important;
}

ul.podcast-links li:hover {
    color: #d20f39;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-name: rec;
}
@keyframes rec {
  from {
    color: #d20f39; }
  50% {
    color: transparent; }
  to {
    color: #d20f39; } }

.list-inline>li {
    display: inline-block;
    padding-right: 5px;
    padding-left: 5px;
    font-size: 1.4em;
    border-radius: 50%;
    background-color: #b7bdd1;
    list-style: none;
    
  .icon--github, .icon--email, .icon--twitter, .icon--youtube, .icon--rss {
      fill: #181825;
   }    
}
.list-inline>li:hover {
    background-color: #04a5e5;
    transition: 0.3s;
}

.top {
    display: flex !important;
    align-items: center !important;
    font-size: 15px !important;
    color: var(--heading-font-color) !important;
    cursor: pointer !important;
}

/*blockquote {
  font-style: italic !important;
  border-left: 4px solid #00aaff !important;
  margin: 20px !important;
  padding: 10px !important;
 // background-color: #dbdfe7;
  box-shadow: 2px 2px 5px rgba(0,0,0,0.1) !important;
  font-family: 'Georgia', serif !important;
} */

.page__comments-title {
    margin-top: 2rem;
    margin-bottom: 10px;
    padding-top: 2rem;
    font-size: .75em;
    border-top: 1px solid #c2c3c5;
    text-transform: uppercase;
}      

/* .copy-code-button {
    display: grid;
    grid-auto-flow: column;
    align-items: center;
    grid-column-gap: 4px;
    border: none;
    cursor: pointer;
    font-size: 1rem;
    padding: 4px 8px;
    color: #4c4f69;
    background-color: #18182505;
    margin-left: auto;

    &::before {
        content: "Copy";
    }

    &::after {
        content: "📋";
        display: block;
    }

    &.copied {
        &::before { content: "Copied"; }
        &::after { content: "✔️"; }
    } 
} */

/* code_copy 
pre.highlight > button {
    background-color: #dadee5;
    color: #4c4f69;
    opacity: 0;
    position: absolute;
    right: 4px;
    top: 4px;
    transition: all 0.2s ease-out;
    padding: 2px 5px 2px 5px;
    border: 1px solid #4c4f69;
    border-radius: 6px;
} */

/* code_copy */
pre.highlight > button {
    background-color: #1f2030;
    color: #bac2de;
    opacity: 0;
    position: absolute;
    right: 4px;
    top: 4px;
    transition: all 0.2s ease-out;
    padding: 2px 5px 2px 5px;
    border: 1px solid #a6adc8;
    border-radius: 6px;
}

pre.highlight:hover > button {
    opacity: 1;
}

pre.highlight > button:active,
pre.highlight > button:focus {
    opacity: 1;
}   

.fa-check {
    color: #009200;
}   
/* End code_copy */

blockquote, q {
    color: #4c4f69 !important;
}

blockquote {
  font-style: italic !important;
 /* border-left: 4px solid !important; */
 /* margin: 20px !important; */
  padding: 10px !important;
  box-shadow: 2px 2px 5px rgba(0,0,0,0.1) !important;
  font-family: 'Georgia', serif !important;
}

blockquote.prompt-tip::before {
    content: " tip";
    color: #03b303;
    font: normal 900 1em/1 "Font Awesome 6 Free";
    letter-spacing: .050em;
}
blockquote.prompt-tip {
    background-color: #7bf79033;
    border: 1px solid #76d376;
}
blockquote.prompt-tip {
    border-left: solid 0.25rem #03b303;
    border-radius: 6px;
}

blockquote.prompt-info::before {
    content: " info";
    color: #0070cb;
    font: normal 900 1em/1 "Font Awesome 6 Free";
    transform: rotate(180deg);
    letter-spacing: .050em;
}
blockquote.prompt-info {
    background-color: #cde7f3;
    border: 1px solid #15b9f9;
}
blockquote.prompt-info {
    border-left: solid 0.25rem #0070cb;
    border-radius: 6px;
}

blockquote.prompt-warning::before {
    content: " warning";
    color: #ef9c03;
    font: normal 900 1em/1 "Font Awesome 6 Free";
    letter-spacing: .050em;
}
blockquote.prompt-warning {
    background-color: #fff3cd;
    border: 1px solid #e7ac40;
}
blockquote.prompt-warning {
    border-left: solid 0.25rem #ef9c03;
    border-radius: 6px;
}

blockquote.prompt-danger::before {
    content: " danger";
    color: #df3c30;
    font: normal 900 1em/1 "Font Awesome 6 Free";
    letter-spacing: .050em;
}
blockquote.prompt-danger {
    background-color: #f8d7da8f;
    border: 1px solid #d15a52;
}
blockquote.prompt-danger {
    border-left: solid 0.25rem #df3c30;
    border-radius: 6px;
}

blockquote.prompt-important::before {
    content: " important";
    color: #aa55ff;
    font: normal 900 1em/1 "Font Awesome 6 Free";
    letter-spacing: .050em;
}
blockquote.prompt-important {
    background-color: #d7c5e9;
    border: 1px solid #aa55ff;
}
blockquote.prompt-important {
    border-left: solid 0.25rem #aa55ff;
    border-radius: 6px;
}

/* Изображения коментариев */
.comment-form {
    margin-top: 0;
    margin-bottom: 20px;
    border-top: 1px solid #c2c3c5;
    font-size: 12px;
    font-weight: 400;
    text-transform: uppercase;
    background: url(/assets/images/comment-dots.png) 0 20px no-repeat;
    background-size: 24px; 
    line-height: 32px;
    padding-left: 30px;
    padding-top: 1rem;
}

/*.comment-form {
    margin-top: 0;
    margin-bottom: 50px;
    border-top: 1px solid #c2c3c5;
}

.comment-form h2 {
    font-size: 21px;
    line-height: 60px;
    margin-bottom: 20px;
    background: url('/assets/images/comment-dots.png') 0 5px no-repeat;
    padding-left: 60px !important;
}

.comment-form h2 a {
    text-decoration: none;
    border-bottom: 1px dashed;
}

.comment-form h2 a:hover {
    color: #00A0DF;
}

h2 {
    font-weight: 400;
    text-transform: uppercase;
}
Изображения коментариев */

audio {
    display: block !important;
    width: 100% !important;
    border: 1px solid rgb(238, 238, 238) !important;
    border-radius: 8px !important;
    overflow: hidden !important;
    height: 2.5rem !important;
    margin-bottom: 20px !important;
}
